@echo off
setlocal

if "%JAVA_HOME%" == "" goto doJavaHomeNotSet

set JAVACMD="%JAVA_HOME%\bin\java"
set JARFILE="%~dp0\urbandeploy-client.jar"

if not exist %JARFILE% goto doJarNotFound

%JAVACMD% -jar %JARFILE% %*
goto end

:doJarNotFound
echo Didn't find %JARFILE% in directory %~dp0
goto end

:doJavaHomeNotSet
echo You must have JAVA_HOME set on your environment to use the UrbanDeploy client.
goto end 

:end

